Bug 1313224 - (CVE-2016-2561) CVE-2016-2561 phpMyAdmin: multiple XSS vulnerabilities (PMASA-2016-12)
CVE-2016-2561 phpMyAdmin: multiple XSS vulnerabilities (PMASA-2016-12)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160225,repor...
: Security
Depends On: 1313225 1313226 1313227 1313229
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 03:40 EST by Martin Prpič
Modified: 2016-11-28 09:42 EST (History)
10 users (show)

See Also:
Fixed In Version: phpMyAdmin 4.4.15.4, phpMyAdmin 4.5.5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-28 09:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-03-01 03:40:53 EST
The following XSS issues were found in phpMyAdmin:

With a crafted table/column name it is possible to trigger an XSS attack in the database normalization page.

With a crafted parameter it is possible to trigger an XSS attack in the database structure page.

With a crafted parameter it is possible to trigger an XSS attack in central columns page.

Affected Versions:

Versions 4.4.x (prior to 4.4.15.5) and 4.5.x (prior to 4.5.5.1) are affected.

Fixed in:

phpMyAdmin 4.4.15.4 and 4.5.5.1

External References:

https://www.phpmyadmin.net/security/PMASA-2016-12/
Comment 2 Martin Prpič 2016-03-01 03:42:25 EST
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1313225]
Affects: epel-all [bug 1313226]
Comment 3 Martin Prpič 2016-03-01 03:42:33 EST
Created phpMyAdmin4 tracking bugs for this issue:

Affects: epel-5 [bug 1313227]
Comment 5 Fedora Update System 2016-03-06 17:26:55 EST
phpMyAdmin-4.0.10.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-03-09 10:50:33 EST
php-udan11-sql-parser-3.4.0-1.fc23, phpMyAdmin-4.5.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-03-09 13:46:03 EST
php-udan11-sql-parser-3.4.0-1.fc23, phpMyAdmin-4.5.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-03-09 15:11:32 EST
php-udan11-sql-parser-3.4.0-1.fc23, phpMyAdmin-4.5.5.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-03-10 08:57:30 EST
phpMyAdmin-4.4.15.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-03-20 14:50:34 EDT
phpMyAdmin4-4.0.10.15-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.